JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.cfg
Class JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping

    java.lang.Object
      org.hibernate.internal.jaxb.cfg.JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping

Enclosing class:
  JaxbHibernateConfiguration.JaxbSessionFactory

    public static class JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="class" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="file" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="jar" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="package" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="resource" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `_package`
`protected String` | `clazz`
`protected String` | `file`
`protected String` | `jar`
`protected String` | `resource`

Constructor Summary
`JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping()`

Method Summary
`String` | `getClazz()` Gets the value of the clazz property.
`String` | `getFile()` Gets the value of the file property.
`String` | `getJar()` Gets the value of the jar property.
`String` | `getPackage()` Gets the value of the package property.
`String` | `getResource()` Gets the value of the resource property.
`void` | `setClazz(String value)` Sets the value of the clazz property.
`void` | `setFile(String value)` Sets the value of the file property.
`void` | `setJar(String value)` Sets the value of the jar property.
`void` | `setPackage(String value)` Sets the value of the package property.
`void` | `setResource(String value)` Sets the value of the resource property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clazz

    protected String clazz

### file

    protected String file

### jar

    protected String jar

### _package

    protected String _package

### resource

    protected String resource

Constructor Detail

### JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping

    public JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping()

Method Detail

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### getFile

    public String getFile()

  Gets the value of the file property.

  Returns:
    possible object is `String`

### setFile

    public void setFile(String value)

  Sets the value of the file property.

  Parameters:
    `value` - allowed object is `String`

### getJar

    public String getJar()

  Gets the value of the jar property.

  Returns:
    possible object is `String`

### setJar

    public void setJar(String value)

  Sets the value of the jar property.

  Parameters:
    `value` - allowed object is `String`

### getPackage

    public String getPackage()

  Gets the value of the package property.

  Returns:
    possible object is `String`

### setPackage

    public void setPackage(String value)

  Sets the value of the package property.

  Parameters:
    `value` - allowed object is `String`

### getResource

    public String getResource()

  Gets the value of the resource property.

  Returns:
    possible object is `String`

### setResource

    public void setResource(String value)

  Sets the value of the resource property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.